/*
 * nkryptet
 */

import {loadState, saveState} from '../localStorage';
import {LocalStorageMock} from '../__mocks__/localStorage';

describe('localStorage', () => {
  beforeEach(() => {
    global.localStorage = new LocalStorageMock();
  });

  afterEach(() => {
    delete global.localStorage;
  });

  it('should return saved state', () => {
    const state = {
      bar: true,
      foo: 'string',
      num: 1,
      test: null,
    };

    saveState(state);

    expect(loadState()).toEqual(state);
  });
});
